# -------------------------------------------------
# Project Definition
# -------------------------------------------------
#change the following line to the name of your application
TARGET = dsp_template
TEMPLATE = app
DESTDIR = bin
UI_DIR = ui
SOURCES += src/main.cpp \
    src/mainwindow.cpp \
    src/pawrapper.cpp \
    src/soundsettingsdlg.cpp \
    src/fftprocessor.cpp
HEADERS += inc/mainwindow.h \
    inc/pawrapper.h \
    inc/soundsettingsdlg.h \
    inc/fftprocessor.h \
    inc/static_settings.h
FORMS += ui/mainwindow.ui \
    ui/soundsettingsdlg.ui
INCLUDEPATH += inc/ \
    inc/pa/ \
    inc/audioprocessor_examples/

# For using the examples below uncomment *one* of the examples *and* the corresponding header
# in "mainwindow.h" and *rebuild* project!

# input to output copy example:
#SOURCES += src/audioprocessor_examples/audioprocessor_io_copy.cpp
#HEADERS += inc/audioprocessor_examples/audioprocessor_io_copy.h

# noise out example:
#SOURCES += src/audioprocessor_examples/audioprocessor_noise.cpp
#HEADERS += inc/audioprocessor_examples/audioprocessor_noise.h

# sine out example:
#SOURCES += src/audioprocessor_examples/audioprocessor_sine.cpp
#HEADERS += inc/audioprocessor_examples/audioprocessor_sine.h

# fft example:
SOURCES += src/audioprocessor_examples/audioprocessor_fft.cpp
HEADERS += inc/audioprocessor_examples/audioprocessor_fft.h

# uncomment the following two lines and change INCLUDEPATH if you want gdbmacros
# DEFINES += USE_GDBMACROS
# INCLUDEPATH += /opt/qtcreator-0.9.2/share/qtcreator/gdbmacros


# statical linked portaudio
HEADERS += inc/pa/portaudio.h
SOURCES += src/pa/pa_front.c \
    src/pa/pa_debugprint.c \
    src/pa/pa_allocation.c \
    src/pa/pa_stream.c \
    src/pa/pa_converters.c \
    src/pa/pa_cpuload.c \
    src/pa/pa_process.c \
    src/pa/pa_dither.c \
    src/pa/pa_ringbuffer.c

# ------------ Linux/Unix specific options ----------------
unix:DEFINES += PA_USE_ALSA \
    PA_USE_OSS \
    PA_USE_JACK

# Unit OSS, Linux ALSA:
unix:SOURCES += src/pa/pa_unix_oss.c \
    src/pa/pa_linux_alsa.c \
    src/pa/pa_unix_hostapis.c \
    src/pa/pa_unix_util.c

# JACK:
unix:SOURCES += src/pa/pa_jack.c

# Linux ASIHPI:
# unix:SOURCES += src/pa/pa_linux_asihpi.c
unix:INCLUDEPATH += /usr/include/qwt-qt4/
unix:LIBS += -lqwt-qt4 \
    -lfftw3_threads \
    -lfftw3 \
    -lasound \
    -ljack

# -lportaudio
# ------------ Windows specific options ----------------
win32:DEFINES += PA_NO_ASIO # PA_NO_WMME
win32:SOURCES += src/pa/pa_win_ds.c \
    src/pa/pa_win_hostapis.c \
    src/pa/pa_win_util.c \
    src/pa/pa_win_ds_dynlink.c \
    src/pa/pa_win_waveformat.c \
    src/pa/pa_win_wmme.c # src/pa/pa_asio.cpp
win32:INCLUDEPATH += Z:\programming\qt\libs\qwt-5.0.1\src \
    inc\fftw

#specify path to direct-x SDK header directory
win32:INCLUDEPATH += inc\dx

win32:LIBS += -lqwt5 \
    -L"Z:\programming\qt\qana\lib\qwt" \
    -lfftw3-3 \
    -L"Z:\programming\qt\qana\lib\fftw" \
    -ldsound \
    -lwinmm \
    -lole32
